# $Revision: 1.24 $, $Date: 2005/06/27 15:19:46 $
%define		zope_subname	Localizer
Summary:	A Zope product to develop multilingual web application
Summary(pl):	Dodatek do Zope umoliwiajcy tworzenie wielojzycznych aplikacji WWW
Name:		Zope-%{zope_subname}
#%%define		sub_ver b5
Version:	1.1.1
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	http://www.ikaaro.org/download/localizer/%{zope_subname}-%{version}.tar.gz
# Source0-md5:	ab6f95886f3475387078966780438083
URL:		http://www.localizer.org/
BuildRequires:	python
%pyrequires_eq	python-modules
Requires:	Zope >= 2.7
Requires:	python-itools >= 0.9.2
Requires:	Zope-iHotfix >= 0.5.2
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Localizer is a Zope product to develop multilingual web application.

%description -l pl
Localizer jest dodatkiem do Zope umoliwiajcym tworzenie
wielojzycznych aplikacji WWW.

%prep
%setup -q -n %{zope_subname}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af {help,img,locale,tests,ui,*.py,*.gif,*.jpg,charsets.txt,version.txt} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc CHANGES.txt Changelog README.txt RELEASE*.txt.en TODO.txt
%lang(es) %doc RELEASE*.txt.es
%lang(fr) %doc RELEASE*.txt.fr
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-Localizer.spec,v $
Revision 1.24  2005/06/27 15:19:46  ciesiel
- upgraded to version 1.1.1

Revision 1.23  2005/04/14 20:41:12  ciesiel
- upgraded to version 1.1.0

Revision 1.22  2005/02/02 16:15:18  ciesiel
- upgraded to version 1.1b5

Revision 1.21  2005/01/13 06:39:55  ankry
- spaces -> tabs

Revision 1.20  2005/01/12 21:11:06  ciesiel
- added BR: python

Revision 1.19  2005/01/10 22:24:25  ciesiel
- upgraded to version 1.1.0 b4

Revision 1.18  2005/01/10 18:03:53  ciesiel
- prepare rel. for rebuild with python 2.4

Revision 1.17  2005/01/09 00:41:45  ciesiel
- upgraded to version 1.1.0 b2

Revision 1.16  2004/12/25 17:55:26  saq
- release .2 for rebuild with python 2.4

Revision 1.15  2004/11/24 16:34:34  ciesiel
- upgraded to version 1.1.0b1

Revision 1.14  2004/10/30 11:21:15  paladine
- spaces->tabs

Revision 1.13  2004/07/28 08:03:21  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.12  2004/06/03 16:50:28  ciesiel
- updated req. version

Revision 1.11  2004/05/10 15:47:52  ciesiel
- upgraded to version 1.1.0 (a3)

Revision 1.10  2003/12/03 18:08:18  ciesiel
- removed Licenses*

Revision 1.9  2003/12/03 17:23:19  ciesiel
- added missing files

Revision 1.8  2003/11/19 21:00:59  ciesiel
- typo

Revision 1.7  2003/11/19 20:53:54  ciesiel
- added new req. iHotfix for Zope 2.7.x

Revision 1.6  2003/11/17 11:57:57  ciesiel
- install into new dir. (datadir)
- installzopeproduct
- cleaning

Revision 1.5  2003/10/07 10:15:05  qboosh
- fixed License, cleanups/simplifications

Revision 1.4  2003/10/06 07:45:31  ciesiel
- added new req. (ext. library itools)

Revision 1.3  2003/09/27 20:46:30  ciesiel
- upgraded to 1.1.0a2

Revision 1.2  2003/09/27 17:43:47  ciesiel
- .py needed by packages

Revision 1.1  2003/08/22 14:12:32  qboosh
- mv Zope-localizer.spec Zope-Localizer.spec to reflect Name

Revision 1.8  2003/08/22 14:09:34  qboosh
- cleanups

Revision 1.7  2003/07/31 16:46:53  ciesiel
- typo

Revision 1.6  2003/07/31 16:41:07  ciesiel
- moved docs to documentation directory

Revision 1.5  2003/07/30 14:52:55  ciesiel
- compiled .py and cleanup

Revision 1.4  2003/07/26 23:50:33  ciesiel
- moved left docs to documentation directory

Revision 1.3  2003/07/21 17:46:46  ciesiel
- moved ln to %install section

Revision 1.2  2003/07/19 21:13:07  ciesiel
- and yet another directory destination :-)

Revision 1.1  2003/07/19 17:55:39  ciesiel
- initial release
